Debian Bug report logs - #679736
spandsp: test suite fails to run when built in parallel (-j)

version graph

Package: src:spandsp; Maintainer for src:spandsp is Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>;

Reported by: Tzafrir Cohen <tzafrir@debian.org>

Date: Sun, 1 Jul 2012 08:57:01 UTC

Severity: serious

Found in version spandsp/0.0.6~pre20-1

Fixed in version spandsp/0.0.6~pre20-3

Done: Tzafrir Cohen <tzafrir@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#679736; Package src:spandsp. (Sun, 01 Jul 2012 08:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir@debian.org>:
New Bug report received and forwarded. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Sun, 01 Jul 2012 08:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: spandsp: test suite fails to run when built in parallel (-j)
Date: Sun, 01 Jul 2012 11:55:10 +0300
Source: spandsp
Version: 0.0.6~pre20-1
Severity: serious
Justification: fails to build from source (but built successfully in the past)

The package spandsp has failed to build on some architectures. This is due
to the test suite not intended to build in parallel.

As Upstream does not consider this a bug, the simple fix is to disable
running the tests in parallel. A patch is included in SVN.




Added tag(s) pending. Request was from Tzafrir Cohen <tzafrir@debian.org> to control@bugs.debian.org. (Sun, 01 Jul 2012 09:15:21 GMT) Full text and rfc822 format available.

Reply sent to Tzafrir Cohen <tzafrir@debian.org>:
You have taken responsibility. (Sun, 01 Jul 2012 12:21:21 GMT) Full text and rfc822 format available.

Notification sent to Tzafrir Cohen <tzafrir@debian.org>:
Bug acknowledged by developer. (Sun, 01 Jul 2012 12:22:11 GMT) Full text and rfc822 format available.

Message #12 received at 679736-close@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@debian.org>
To: 679736-close@bugs.debian.org
Subject: Bug#679736: fixed in spandsp 0.0.6~pre20-2
Date: Sun, 01 Jul 2012 12:18:31 +0000
Source: spandsp
Source-Version: 0.0.6~pre20-2

We believe that the bug you reported is fixed in the latest version of
spandsp, which is due to be installed in the Debian FTP archive:

libspandsp-dev_0.0.6~pre20-2_amd64.deb
  to main/s/spandsp/libspandsp-dev_0.0.6~pre20-2_amd64.deb
libspandsp-doc_0.0.6~pre20-2_all.deb
  to main/s/spandsp/libspandsp-doc_0.0.6~pre20-2_all.deb
libspandsp2_0.0.6~pre20-2_amd64.deb
  to main/s/spandsp/libspandsp2_0.0.6~pre20-2_amd64.deb
spandsp_0.0.6~pre20-2.debian.tar.gz
  to main/s/spandsp/spandsp_0.0.6~pre20-2.debian.tar.gz
spandsp_0.0.6~pre20-2.dsc
  to main/s/spandsp/spandsp_0.0.6~pre20-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679736@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tzafrir Cohen <tzafrir@debian.org> (supplier of updated spandsp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 01 Jul 2012 12:22:19 +0300
Source: spandsp
Binary: libspandsp2 libspandsp-dev libspandsp-doc
Architecture: source amd64 all
Version: 0.0.6~pre20-2
Distribution: unstable
Urgency: low
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Changed-By: Tzafrir Cohen <tzafrir@debian.org>
Description: 
 libspandsp-dev - Telephony signal processing library - development headers
 libspandsp-doc - Documentation for the spandsp signal processing library
 libspandsp2 - Telephony signal processing library
Closes: 679736
Changes: 
 spandsp (0.0.6~pre20-2) unstable; urgency=low
 .
   * Patch serial-test: Don't run tests in parallel (Closes: #679736).
   * Patch array_warning: backported bugfix to kill compiler warning.
Checksums-Sha1: 
 9db746955d4553f5cbba56e503bd438eedc06d27 1741 spandsp_0.0.6~pre20-2.dsc
 5a8d7e44d7a48ba82daaf93a6fee13b97882802a 10496 spandsp_0.0.6~pre20-2.debian.tar.gz
 6702658487b877e67d81fc3ad35710b30c77e7f9 330728 libspandsp2_0.0.6~pre20-2_amd64.deb
 a543c4ed8ea62191c0848664f3c865a90c1e612f 541252 libspandsp-dev_0.0.6~pre20-2_amd64.deb
 3718cb3b40d80eb5b1cb8e2aa0e7f27f241297ef 2732672 libspandsp-doc_0.0.6~pre20-2_all.deb
Checksums-Sha256: 
 b013ef9658170c8023a8255ffccee69a2cf709f2986420ca3d449c394b927016 1741 spandsp_0.0.6~pre20-2.dsc
 4a129c4e531dfe90c837b0f853c9c3241dd5fc2567272f715e4f085d46725b15 10496 spandsp_0.0.6~pre20-2.debian.tar.gz
 51b99a380b980b36a2b65936f8383592708055452529b54420143c04837648b3 330728 libspandsp2_0.0.6~pre20-2_amd64.deb
 89e5c35d8e9c7c12d9a6c002d31d1aa9f144864768042188e820857e43e53a13 541252 libspandsp-dev_0.0.6~pre20-2_amd64.deb
 e9a0bd2c2c660ffed46b968990eaffed4f81fa9960f1cdfe384474842e3fb85a 2732672 libspandsp-doc_0.0.6~pre20-2_all.deb
Files: 
 0f007b49a8ebcf5db8d6795c363f3db2 1741 libs optional spandsp_0.0.6~pre20-2.dsc
 ab481d79febad183b9b25ccbfe79d3bc 10496 libs optional spandsp_0.0.6~pre20-2.debian.tar.gz
 2af506597622e46961ae952dd93fc7e6 330728 libs optional libspandsp2_0.0.6~pre20-2_amd64.deb
 2cb15aac27984b39f836ade09513e667 541252 libdevel optional libspandsp-dev_0.0.6~pre20-2_amd64.deb
 473ffae063d6cc5cd493d3644a4d3adb 2732672 doc optional libspandsp-doc_0.0.6~pre20-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/wH2IACgkQxArWdkN9MosauACghQToIzfthcbZ/Cq8pz8cULQ9
tmMAnAkqCuK95KzOjP0xJVnizWy4JAEs
=jdFN
-----END PGP SIGNATURE-----





Bug reopened Request was from Tzafrir Cohen <tzafrir.cohen@xorcom.com> to control@bugs.debian.org. (Sun, 01 Jul 2012 18:45:07 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions spandsp/0.0.6~pre20-2. Request was from Tzafrir Cohen <tzafrir.cohen@xorcom.com> to control@bugs.debian.org. (Sun, 01 Jul 2012 18:45:08 GMT) Full text and rfc822 format available.

Reply sent to Tzafrir Cohen <tzafrir@debian.org>:
You have taken responsibility. (Sun, 01 Jul 2012 20:57:16 GMT) Full text and rfc822 format available.

Notification sent to Tzafrir Cohen <tzafrir@debian.org>:
Bug acknowledged by developer. (Sun, 01 Jul 2012 20:57:16 GMT) Full text and rfc822 format available.

Message #21 received at 679736-close@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@debian.org>
To: 679736-close@bugs.debian.org
Subject: Bug#679736: fixed in spandsp 0.0.6~pre20-3
Date: Sun, 01 Jul 2012 20:51:43 +0000
Source: spandsp
Source-Version: 0.0.6~pre20-3

We believe that the bug you reported is fixed in the latest version of
spandsp, which is due to be installed in the Debian FTP archive:

libspandsp-dev_0.0.6~pre20-3_amd64.deb
  to main/s/spandsp/libspandsp-dev_0.0.6~pre20-3_amd64.deb
libspandsp-doc_0.0.6~pre20-3_all.deb
  to main/s/spandsp/libspandsp-doc_0.0.6~pre20-3_all.deb
libspandsp2_0.0.6~pre20-3_amd64.deb
  to main/s/spandsp/libspandsp2_0.0.6~pre20-3_amd64.deb
spandsp_0.0.6~pre20-3.debian.tar.gz
  to main/s/spandsp/spandsp_0.0.6~pre20-3.debian.tar.gz
spandsp_0.0.6~pre20-3.dsc
  to main/s/spandsp/spandsp_0.0.6~pre20-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679736@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tzafrir Cohen <tzafrir@debian.org> (supplier of updated spandsp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 01 Jul 2012 16:29:26 +0300
Source: spandsp
Binary: libspandsp2 libspandsp-dev libspandsp-doc
Architecture: source amd64 all
Version: 0.0.6~pre20-3
Distribution: unstable
Urgency: low
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Changed-By: Tzafrir Cohen <tzafrir@debian.org>
Description: 
 libspandsp-dev - Telephony signal processing library - development headers
 libspandsp-doc - Documentation for the spandsp signal processing library
 libspandsp2 - Telephony signal processing library
Closes: 679736
Changes: 
 spandsp (0.0.6~pre20-3) unstable; urgency=low
 .
   * Patch serial-test: also patch Makefile.in (properly Closes: #679736).
   * Patch array_warning: Enable it.
Checksums-Sha1: 
 a8038d149a239683cf260736f1bad23907f7a4f8 1741 spandsp_0.0.6~pre20-3.dsc
 abdb60d313a02b6bbcffb504ed33757ff3a9a6c0 10686 spandsp_0.0.6~pre20-3.debian.tar.gz
 6813fc00d9298db601e814ce494fd9f83ad7a286 330762 libspandsp2_0.0.6~pre20-3_amd64.deb
 fab5cce1388d84ed103f8708cf2feb92631232b0 541294 libspandsp-dev_0.0.6~pre20-3_amd64.deb
 a6316ccd999473de073250b1774dc36250d15155 2733060 libspandsp-doc_0.0.6~pre20-3_all.deb
Checksums-Sha256: 
 b2c1e4cbf510fa519f40951337356730752650bba625a3f330fa41696aa11d12 1741 spandsp_0.0.6~pre20-3.dsc
 07ea3f778a7c8f486b961478546f75de7038cb74a9aa0f5f6f740961bbcf1a98 10686 spandsp_0.0.6~pre20-3.debian.tar.gz
 14a255d39d40042859125acbca7547c7f70a69121915e90275f0f3f0fd7ed7b8 330762 libspandsp2_0.0.6~pre20-3_amd64.deb
 c494df57aed91134c123abd5232dffd8070308ed3d63ce4ef6126e1e29a9b435 541294 libspandsp-dev_0.0.6~pre20-3_amd64.deb
 047689b9318f3f3004d945d4e2a6d917505f7e04231e85443a227187063bd50d 2733060 libspandsp-doc_0.0.6~pre20-3_all.deb
Files: 
 e961ee609c570d07892514c171ac755f 1741 libs optional spandsp_0.0.6~pre20-3.dsc
 51c9d6aecb28c23395b5ad877b16aae1 10686 libs optional spandsp_0.0.6~pre20-3.debian.tar.gz
 5697dd73e3f2030967435c057a9116c5 330762 libs optional libspandsp2_0.0.6~pre20-3_amd64.deb
 e74daec7eb8a5c6311cc8865e4f91ba2 541294 libdevel optional libspandsp-dev_0.0.6~pre20-3_amd64.deb
 3100d4cd29e12e6eb60d57b549658bf6 2733060 doc optional libspandsp-doc_0.0.6~pre20-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/wrdUACgkQxArWdkN9MouKLACfY2oJdhgDAubgdtEzZBODbYco
kgAAn3UgCvKTJSa6QE6i9WPKM0ACu6ik
=2T98
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 Jul 2012 07:27:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:06:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.